Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 21 Nov 2014, 13:52
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Gxine missing libmozjs.so library. Where to find it?
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
Tione

Joined: 01 Apr 2011
Posts: 40

PostPosted: Tue 13 Nov 2012, 13:04    Post_subject:  Gxine missing libmozjs.so library. Where to find it?  

I'm trying to install gxine but when I run from terminal (urxvt) I get the following error:
gxine: error while loading shared libraries: libmozjs.so
where can I find it?
How do I install from terminal?

many thanks
Back to top
View user's profile Send_private_message 
RetroTechGuy


Joined: 15 Dec 2009
Posts: 2668
Location: USA

PostPosted: Tue 13 Nov 2012, 13:09    Post_subject: Re: gxine install missing libraries: libmozjs.so  

Tione wrote:
I'm trying to install gxine but when I run from terminal (urxvt) I get the following error:
gxine: error while loading shared libraries: libmozjs.so
where can I find it?
How do I install from terminal?

many thanks


You want to be careful, as this sometimes "eats" your lupusave, but I often have good luck grabbing packages from the Debian archive.

Fore example:

http://packages.debian.org/sid/i386/libmozjs-dev/download

You may be able to get the .deb file, click on it just like a .pet and install.

I recommend that you make a backup of your save file before trying it. (I always have 2 or more lupusave files in my start directory -- boot to an alternate one, and copy the main one so you can restore, if things go badly)

_________________
Add swapfile
Back to top
View user's profile Send_private_message 
Tione

Joined: 01 Apr 2011
Posts: 40

PostPosted: Tue 13 Nov 2012, 13:38    Post_subject: Re: gxine install missing libraries: libmozjs.so  

RetroTechGuy wrote:
Tione wrote:
I'm trying to install gxine but when I run from terminal (urxvt) I get the following error:
gxine: error while loading shared libraries: libmozjs.so
where can I find it?
How do I install from terminal?

many thanks


You want to be careful, as this sometimes "eats" your lupusave, but I often have good luck grabbing packages from the Debian archive.

Fore example:

http://packages.debian.org/sid/i386/libmozjs-dev/download

You may be able to get the .deb file, click on it just like a .pet and install.

I recommend that you make a backup of your save file before trying it. (I always have 2 or more lupusave files in my start directory -- boot to an alternate one, and copy the main one so you can restore, if things go badly)


I have installed the 5.3.3 slacko puppy, is the same?
There is a program that converts .deb in .pet?
Or there is a better way?

many thanks
Back to top
View user's profile Send_private_message 
Tione

Joined: 01 Apr 2011
Posts: 40

PostPosted: Wed 14 Nov 2012, 09:13    Post_subject: Re: gxine install missing libraries: libmozjs.so  

Tione wrote:
RetroTechGuy wrote:
Tione wrote:
I'm trying to install gxine but when I run from terminal (urxvt) I get the following error:
gxine: error while loading shared libraries: libmozjs.so
where can I find it?
How do I install from terminal?

many thanks


You want to be careful, as this sometimes "eats" your lupusave, but I often have good luck grabbing packages from the Debian archive.

Fore example:

http://packages.debian.org/sid/i386/libmozjs-dev/download

You may be able to get the .deb file, click on it just like a .pet and install.

I recommend that you make a backup of your save file before trying it. (I always have 2 or more lupusave files in my start directory -- boot to an alternate one, and copy the main one so you can restore, if things go badly)


I have installed the 5.3.3 slacko puppy, is the same?
There is a program that converts .deb in .pet?
Or there is a better way?

many thanks



Solved I download xine at this link:
http://code.google.com/p/mywolfe/downloads/list
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0635s ][ Queries: 12 (0.0171s) ][ GZIP on ]